> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Beneficiary

> Use this API to add a beneficiary to your Cashfree account by providing the bank account number, IFSC, and other required details. Before you request a transfer, ensure the account has been successfully added as a beneficiary.



## OpenAPI

````yaml post /payout/v1/addBeneficiary
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/addBeneficiary:
    post:
      summary: Add Beneficiary
      description: >-
        Use this API to add a beneficiary to your Cashfree account by providing
        the bank account number, IFSC, and other required details. Before you
        request a transfer, ensure the account has been successfully added as a
        beneficiary.
      operationId: create-beneficiary-11
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_addBeneficiary_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '409':
          description: '409'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_409'
        '412':
          description: '412'
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/inline_response_412'
        '422':
          description: '422'
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/inline_response_422'
      deprecated: false
      security: []
components:
  schemas:
    v1_addBeneficiary_body:
      required:
        - address1
        - beneId
        - email
        - name
        - phone
      type: object
      properties:
        beneId:
          type: string
          description: >-
            Unique Beneficiary ID to identify the beneficiary. Alphanumeric and
            underscore (_) allowed (50 character limit)
        name:
          type: string
          description: >-
            It is the name of the beneficiary. A maximum of 100 characters are
            allowed. Alphabets, numbers, white spaces ( ), and special
            characters are allowed.
        email:
          type: string
          description: >-
            Beneficiaries email, string in email Id format (Ex:
            johndoe_1@cashfree.com) - should contain @ and dot (.) - (200
            character limit)
        phone:
          type: string
          description: >-
            Beneficiaries phone number, phone number registered in India (only
            digits, 8 - 12 characters after stripping +91)
        bankAccount:
          type: string
          description: Beneficiary bank account (9 - 18 alphanumeric character limit)
        ifsc:
          type: string
          description: >-
            Accounts IFSC (standard IFSC format) - length 11, first four bank
            IFSC and 5th digit 0
        vpa:
          type: string
          description: >-
            Beneficiary VPA, alphanumeric, dot (.), hyphen (-), at sign (@), and
            underscore (_) allowed (100 character limit). Note: underscore (_)
            and dot (.) gets accepted before and after at sign (@), but hyphen
            (-) get only accepted before at sign (@)
        address1:
          type: string
          description: >-
            Beneficiaries address, alphanumeric and space allowed (but script,
            HTML tags gets sanitized or removed) (150 character limit)
        address2:
          type: string
          description: >-
            Beneficiary address, alphanumeric and space allowed (but script,
            HTML tags gets sanitized or removed) (150 character limit)
        city:
          type: string
          description: >-
            Beneficiary city, only alphabets and white space (50 character
            limit)
        state:
          type: string
          description: >-
            Beneficiary state, only alphabets and white space (50 character
            limit)
        pincode:
          type: string
          description: Beneficiaries pincode, only numbers (6 character limit)
    inline_response_200:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Beneficiary added successfully
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_409:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '409'
        message:
          type: string
          example: Beneficiary Id already exists
    inline_response_412:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '412'
        message:
          type: string
          example: Post data is empty or not a valid JSON
    inline_response_422:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: Please provide a valid Bank IFSC code.

````